[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TStringIteratorMethod

Iterator callback type

## Declaration

Source position: contnrs.pp line 429

`type TStringIteratorMethod = procedure(`
`Item: String;`
`const Key: String;`
`var Continue: Boolean`
`) of object;`

## Arguments

`Item` |  | String associated with key
`Key` |  | Key value
`Continue` |  | Should iterate continue or stop ?

## Description

TStringIteratorMethod is the callback prototype for the Iterate method. It is called for each element in the hash table, with the string. If Continue is set to false, the iteration stops.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .